﻿using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace Faclon.Extend.Tests
{
    [TestClass()]
    public class StringExtendTests
    {
        [TestMethod()]
        public void IsNullOrEmptyTest() {
            string str = null;
            Assert.IsTrue(str.IsNullOrEmpty());
            Assert.IsFalse(str.IsNotNullOrEmpty());
            str = "";
            Assert.IsTrue(str.IsNullOrEmpty());
            Assert.IsFalse(str.IsNotNullOrEmpty());
            str = string.Empty;
            Assert.IsTrue(str.IsNullOrEmpty());
            Assert.IsFalse(str.IsNotNullOrEmpty());
            str = "abc";
            Assert.IsFalse(str.IsNullOrEmpty());
            Assert.IsTrue(str.IsNotNullOrEmpty());
        }
    }
}